#pragma once
#include <map>
struct M_ActivityDBFMissionCFGData
{
	//任务ID
	int mID;
	//名字
	std::string mName;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品
	std::vector<int> mRewardItem;
	//奖励数量
	std::vector<int> mRewardQuantity;
	//前往类型
	int mGoType;
};

class M_ActivityDBFMissionCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDBFMissionCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDBFMissionCFGData* GetData(int ID);
	const std::map<int, M_ActivityDBFMissionCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDBFMissionCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDBFMissionCFGData> mMapData;
};
